package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.common.annotation.DataScope;
import com.ruoyi.system.mapper.FkqkMapper;
import com.ruoyi.system.domain.Fkqk;
import com.ruoyi.system.service.IFkqkService;

/**
 * 小区封控情况Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-11-28
 */
@Service
public class FkqkServiceImpl implements IFkqkService 
{
    @Autowired
    private FkqkMapper fkqkMapper;

    /**
     * 查询小区封控情况
     * 
     * @param id 小区封控情况主键
     * @return 小区封控情况
     */
    @Override
    public Fkqk selectFkqkById(Long id)
    {
        return fkqkMapper.selectFkqkById(id);
    }

    /**
     * 查询小区封控情况列表
     * 
     * @param fkqk 小区封控情况
     * @return 小区封控情况
     */
    @Override
    @DataScope(deptAlias = "d", userAlias = "u")
    public List<Fkqk> selectFkqkList(Fkqk fkqk)
    {
        return fkqkMapper.selectFkqkList(fkqk);
    }

    /**
     * 新增小区封控情况
     * 
     * @param fkqk 小区封控情况
     * @return 结果
     */
    @Override
    public int insertFkqk(Fkqk fkqk)
    {
        fkqk.setCreateBy(String.valueOf(SecurityUtils.getUserId()));
        fkqk.setCreateTime(DateUtils.getNowDate());
        return fkqkMapper.insertFkqk(fkqk);
    }

    /**
     * 修改小区封控情况
     * 
     * @param fkqk 小区封控情况
     * @return 结果
     */
    @Override
    public int updateFkqk(Fkqk fkqk)
    {
        fkqk.setUpdateTime(DateUtils.getNowDate());
        return fkqkMapper.updateFkqk(fkqk);
    }

    /**
     * 批量删除小区封控情况
     * 
     * @param ids 需要删除的小区封控情况主键
     * @return 结果
     */
    @Override
    public int deleteFkqkByIds(Long[] ids)
    {
        return fkqkMapper.deleteFkqkByIds(ids);
    }

    /**
     * 删除小区封控情况信息
     * 
     * @param id 小区封控情况主键
     * @return 结果
     */
    @Override
    public int deleteFkqkById(Long id)
    {
        return fkqkMapper.deleteFkqkById(id);
    }
}
