package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.common.annotation.DataScope;
import com.ruoyi.system.mapper.HscjMapper;
import com.ruoyi.system.domain.Hscj;
import com.ruoyi.system.service.IHscjService;

/**
 * 核酸采集Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-11-28
 */
@Service
public class HscjServiceImpl implements IHscjService 
{
    @Autowired
    private HscjMapper hscjMapper;

    /**
     * 查询核酸采集
     * 
     * @param id 核酸采集主键
     * @return 核酸采集
     */
    @Override
    public Hscj selectHscjById(Long id)
    {
        return hscjMapper.selectHscjById(id);
    }

    /**
     * 查询核酸采集列表
     * 
     * @param hscj 核酸采集
     * @return 核酸采集
     */
    @Override
    @DataScope(deptAlias = "d", userAlias = "u")
    public List<Hscj> selectHscjList(Hscj hscj)
    {
        return hscjMapper.selectHscjList(hscj);
    }

    /**
     * 新增核酸采集
     * 
     * @param hscj 核酸采集
     * @return 结果
     */
    @Override
    public int insertHscj(Hscj hscj)
    {
        hscj.setCreateBy(String.valueOf(SecurityUtils.getUserId()));
        hscj.setCreateTime(DateUtils.getNowDate());
        return hscjMapper.insertHscj(hscj);
    }

    /**
     * 修改核酸采集
     * 
     * @param hscj 核酸采集
     * @return 结果
     */
    @Override
    public int updateHscj(Hscj hscj)
    {
        hscj.setUpdateTime(DateUtils.getNowDate());
        return hscjMapper.updateHscj(hscj);
    }

    /**
     * 批量删除核酸采集
     * 
     * @param ids 需要删除的核酸采集主键
     * @return 结果
     */
    @Override
    public int deleteHscjByIds(Long[] ids)
    {
        return hscjMapper.deleteHscjByIds(ids);
    }

    /**
     * 删除核酸采集信息
     * 
     * @param id 核酸采集主键
     * @return 结果
     */
    @Override
    public int deleteHscjById(Long id)
    {
        return hscjMapper.deleteHscjById(id);
    }
}
