package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.common.annotation.DataScope;
import com.ruoyi.system.mapper.YcsbMapper;
import com.ruoyi.system.domain.Ycsb;
import com.ruoyi.system.service.IYcsbService;

/**
 * 抗原异常上报Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-11-28
 */
@Service
public class YcsbServiceImpl implements IYcsbService 
{
    @Autowired
    private YcsbMapper ycsbMapper;

    /**
     * 查询抗原异常上报
     * 
     * @param id 抗原异常上报主键
     * @return 抗原异常上报
     */
    @Override
    public Ycsb selectYcsbById(Long id)
    {
        return ycsbMapper.selectYcsbById(id);
    }

    /**
     * 查询抗原异常上报列表
     * 
     * @param ycsb 抗原异常上报
     * @return 抗原异常上报
     */
    @Override
    @DataScope(deptAlias = "d", userAlias = "u")
    public List<Ycsb> selectYcsbList(Ycsb ycsb)
    {
        return ycsbMapper.selectYcsbList(ycsb);
    }

    /**
     * 新增抗原异常上报
     * 
     * @param ycsb 抗原异常上报
     * @return 结果
     */
    @Override
    public int insertYcsb(Ycsb ycsb)
    {
        ycsb.setCreateBy(String.valueOf(SecurityUtils.getUserId()));
        ycsb.setCreateTime(DateUtils.getNowDate());
        return ycsbMapper.insertYcsb(ycsb);
    }

    /**
     * 修改抗原异常上报
     * 
     * @param ycsb 抗原异常上报
     * @return 结果
     */
    @Override
    public int updateYcsb(Ycsb ycsb)
    {
        ycsb.setUpdateTime(DateUtils.getNowDate());
        return ycsbMapper.updateYcsb(ycsb);
    }

    /**
     * 批量删除抗原异常上报
     * 
     * @param ids 需要删除的抗原异常上报主键
     * @return 结果
     */
    @Override
    public int deleteYcsbByIds(Long[] ids)
    {
        return ycsbMapper.deleteYcsbByIds(ids);
    }

    /**
     * 删除抗原异常上报信息
     * 
     * @param id 抗原异常上报主键
     * @return 结果
     */
    @Override
    public int deleteYcsbById(Long id)
    {
        return ycsbMapper.deleteYcsbById(id);
    }
}
